package it.tecnologieweb.pizza.client;

import it.tecnologieweb.pizza.web.dao.CorsoDAO;
import it.tecnologieweb.pizza.web.dao.CorsoTO;
import it.tecnologieweb.pizza.web.dao.DAOFactory;
import it.tecnologieweb.pizza.web.dao.ProfessoreDAO;
import it.tecnologieweb.pizza.web.dao.ProfessoreTO;

import java.sql.SQLException;
import java.util.List;

public class ReadHsqldb {

	/**
	 * @param args
	 * @throws SQLException 
	 */
	public static void main(String[] args) throws SQLException {
		DAOFactory dao_factory = DAOFactory.getDAOFactory(DAOFactory.HSQLDB);
		// ----------------------------------
		ProfessoreDAO prof_dao = dao_factory.getProfessoreDAO();
		CorsoDAO corso_dao = dao_factory.getCorsoDAO();
		// ----------------------------------
		List<ProfessoreTO> profs = prof_dao.getProfessori();
		if ( profs != null )
			for ( ProfessoreTO prof : profs ) 
				System.out.println(prof.toString());
		// ----------------------------------
		List<CorsoTO> corsi = corso_dao.getCorsi();
		if ( corsi != null )
			for ( CorsoTO corso : corsi ) 
				System.out.println(corso.toString());
	}

}
